Bug 733956 - options of curl-config should be compatible with upstream
Summary: options of curl-config should be compatible with upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: curl
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 21:47 UTC by Martijn Faassen
Modified: 2011-09-30 19:49 UTC (History)
4 users (show)

Fixed In Version: curl-7.21.7-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 23:23:35 UTC


Attachments (Terms of Use)
the updated multilib patch (2.04 KB, patch)
2011-08-29 12:59 UTC, Kamil Dudka
no flags Details | Diff

Description Martijn Faassen 2011-08-28 21:47:10 UTC
curl-config has an option --static-libs. The 'man' page for curl-config documents it. Unfortunately curl-config doesn't support it:

$ curl-config --static-libs
unknown option: --static-libs

pycurl needs --static-libs for instance in order to be compiled.

so it appears as if an older version of curl-config is being installed along with a newer version of libcurl.

Comment 1 Kamil Dudka 2011-08-29 09:41:55 UTC
The option --static-libs is being removed by the multilib patch during the build, which I believe is intentionally (I am not the author of the patch).  Hence, I would just remove the option from the man page, too.  Is such a fix acceptable for you?

Comment 2 Martijn Faassen 2011-08-29 11:26:40 UTC
No, that won't work for me; pycurl needs --static-libs in its setup.py procedure and my build process execute that setup.py. I'm not the author of pycurl but it's reasonable for the pycurl authors to assume that --static-libs is an existing option as it's documented. (I realize pycurl is in Fedora too, but I am using a portal python build environment)

I don't know what the reason is to remove the --static-libs option, but it seems incompatible to me to be removing documented options. I'd rather have the option always be there and return nothing if invoked, or something like that. But I guess to make the correct decision we'd need to know what the reason is behind this removal.

The option not being in the man page would probably make things even *more* mysterious when things fail, not less.

Comment 3 Kamil Dudka 2011-08-29 12:31:06 UTC
Reintroducing --static-libs with empty output sounds like a good idea.  It was removed in curl-7.18.1-1.fc9:

http://pkgs.fedoraproject.org/gitweb/?p=curl.git;a=commitdiff;h=43a8fac

I will ask Jindra for some details...

Comment 4 Jindrich Novy 2011-08-29 12:45:04 UTC
Just consulted it with Kamil. Maybe leaving the dummy --static-libs in package config would help here. But it's definitely a good idea to mention it in man page. Enabling static link for real is no-go for libcurl IMO.

Comment 5 Kamil Dudka 2011-08-29 12:59:25 UTC
Created attachment 520386 [details]
the updated multilib patch

It should address both comment #2 and comment #4 .

Comment 6 Martijn Faassen 2011-08-29 15:44:15 UTC
Thanks!

(I noticed a typo in my comment; so just for clarity: I meant I'm using a *portable* build environment for Python)

Comment 7 Paul Howarth 2011-09-05 18:03:43 UTC
(In reply to comment #1)
> The option --static-libs is being removed by the multilib patch during the
> build, which I believe is intentionally (I am not the author of the patch). 
> Hence, I would just remove the option from the man page, too.  Is such a fix
> acceptable for you?

Historical note: the --static-libs option was removed from curl-config during the merge review because (a) there were no static libs anyway, and (b) the code implementing the option referenced libdir and hence caused a multilib conflict (Kamil's updated patch does not suffer from this problem).

See: https://bugzilla.redhat.com/show_bug.cgi?id=225671#c18

Fedora's python-pycurl package contains a trivial patch to work around the missing option:

http://pkgs.fedoraproject.org/gitweb/?p=python-pycurl.git;a=blob;f=python-pycurl-no-static-libs.patch

Comment 8 Kamil Dudka 2011-09-13 20:03:51 UTC
fixed in curl-7.22.0-1.fc17

Comment 9 Fedora Update System 2011-09-19 13:59:00 UTC
curl-7.21.3-12.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/curl-7.21.3-12.fc15

Comment 10 Fedora Update System 2011-09-19 13:59:08 UTC
curl-7.21.7-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/curl-7.21.7-5.fc16

Comment 11 Fedora Update System 2011-09-19 18:28:59 UTC
Package curl-7.21.7-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing curl-7.21.7-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/curl-7.21.7-5.fc16
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-09-26 23:23:22 UTC
curl-7.21.3-12.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-09-30 19:49:07 UTC
curl-7.21.7-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.